Status: Resolved Priority: Should have
Created: 2013-01-14 Assigned To: Bastian Waidelich
Updated: 2014-02-21 Due date:
Has patch: No
Complexity:
Subject: ObjectPathMappingRepository always checks case-sensitive
Description

The ObjectPathMappingRepository always checks for matches using a case-sensitive check. This worked fine for most people so far,
because the most common collation on MySQL is probably utf8_unicode_ci, which is case-*in*sensitive anway.

Related issues:
blocked by TYPO3.Flow - Bug # 44520: Case-sensitivity switch for Query::equal... Resolved 2013-01-14

Associated revisions
Revision 9ec9717a - 2013-10-08 18:06 - Karsten Dambekalns

[BUGFIX] Respect case-sensitivity in object routing

By default dynamic route parts are lower-cased unless the
"toLowerCase" flag is set to TRUE for the route or a single
route part.
This change makes sure that this flag is actually taken into
account for routes using the ObjectPathMapping.

Change-Id: Ia9a2a864881b2ee94f1335cc141fc5c0b5cf632e
Fixes: #44521
Release: master, 2.0

Revision 56c37204 - 2014-02-21 22:15 - Karsten Dambekalns

[BUGFIX] Respect case-sensitivity in object routing

By default dynamic route parts are lower-cased unless the
"toLowerCase" flag is set to TRUE for the route or a single
route part.
This change makes sure that this flag is actually taken into
account for routes using the ObjectPathMapping.

Change-Id: Ia9a2a864881b2ee94f1335cc141fc5c0b5cf632e
Fixes: #44521
Release: master, 2.1, 2.0

History
#1 - 2013-01-14 21:30 - Karsten Dambekalns

2015-08-04 1/3



See https://review.typo3.org/17526

Bastian, can you take this further? To make it work reliably, the used table should probably switch to lutf8_unicode_bin@…

#2 - 2013-01-23 11:02 - Bastian Waidelich
- Status changed from Needs Feedback to Accepted

Yes, I'll take care

#3 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#4 - 2013-10-08 16:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17526

#5 - 2013-10-08 17:50 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17526

#6 - 2013-10-08 18:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17526

#7 - 2013-10-15 13:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9ec9717a5ba73e7dab90f74fc9e167333930ed87.

#8 - 2013-10-23 17:47 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/24977

#9 - 2014-02-19 17:31 - Gerrit Code Review
Patch set 2 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/24977

#10 - 2014-02-19 17:43 - Gerrit Code Review

Patch set 3 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/24977

#11 - 2014-02-21 22:15 - Gerrit Code Review

Patch set 4 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/24977

#12 - 2014-02-21 22:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:56c372045e97248a487d30867fe431d7a53dc6cc.
